<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Clipping (Deprecated)</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="Cogl Reference Manual">
<link rel="up" href="ch03.html" title="Cogl deprecated API">
<link rel="prev" href="cogl-Materials-(Deprecated).html" title="Materials (Deprecated)">
<link rel="next" href="cogl-Vertex-Buffers-(Deprecated).html" title="Vertex Buffers (Deprecated)">
<meta name="generator" content="GTK-Doc V1.18.1 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
<tr valign="middle">
<td><a accesskey="p" href="cogl-Materials-(Deprecated).html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
<td><a accesskey="u" href="ch03.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
<th width="100%" align="center">Cogl Reference Manual</th>
<td><a accesskey="n" href="cogl-Vertex-Buffers-(Deprecated).html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
</tr>
<tr><td colspan="5" class="shortcuts">
<a href="#cogl-Clipping-(Deprecated).synopsis" class="shortcut">Top</a>
                   | 
                  <a href="#cogl-Clipping-(Deprecated).description" class="shortcut">Description</a>
</td></tr>
</table>
<div class="refentry">
<a name="cogl-Clipping-(Deprecated)"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="cogl-Clipping-(Deprecated).top_of_page"></a>Clipping (Deprecated)</span></h2>
<p>Clipping (Deprecated)</p>
</td>
<td valign="top" align="right"></td>
</tr></table></div>
<div class="refsynopsisdiv">
<a name="cogl-Clipping-(Deprecated).synopsis"></a><h2>Synopsis</h2>
<pre class="synopsis"><span class="returnvalue">void</span>                <a class="link" href="cogl-Clipping-(Deprecated).html#cogl-clip-push" title="cogl_clip_push ()">cogl_clip_push</a>                      (<em class="parameter"><code><span class="type">float</span> x_offset</code></em>,
                                                         <em class="parameter"><code><span class="type">float</span> y_offset</code></em>,
                                                         <em class="parameter"><code><span class="type">float</span> width</code></em>,
                                                         <em class="parameter"><code><span class="type">float</span> height</code></em>);
<span class="returnvalue">void</span>                <a class="link" href="cogl-Clipping-(Deprecated).html#cogl-clip-push-window-rect" title="cogl_clip_push_window_rect ()">cogl_clip_push_window_rect</a>          (<em class="parameter"><code><span class="type">float</span> x_offset</code></em>,
                                                         <em class="parameter"><code><span class="type">float</span> y_offset</code></em>,
                                                         <em class="parameter"><code><span class="type">float</span> width</code></em>,
                                                         <em class="parameter"><code><span class="type">float</span> height</code></em>);
<span class="returnvalue">void</span>                <a class="link" href="cogl-Clipping-(Deprecated).html#cogl-clip-ensure" title="cogl_clip_ensure ()">cogl_clip_ensure</a>                    (<em class="parameter"><code><span class="type">void</span></code></em>);
<span class="returnvalue">void</span>                <a class="link" href="cogl-Clipping-(Deprecated).html#cogl-clip-stack-save" title="cogl_clip_stack_save ()">cogl_clip_stack_save</a>                (<em class="parameter"><code><span class="type">void</span></code></em>);
<span class="returnvalue">void</span>                <a class="link" href="cogl-Clipping-(Deprecated).html#cogl-clip-stack-restore" title="cogl_clip_stack_restore ()">cogl_clip_stack_restore</a>             (<em class="parameter"><code><span class="type">void</span></code></em>);
</pre>
</div>
<div class="refsect1">
<a name="cogl-Clipping-(Deprecated).description"></a><h2>Description</h2>
</div>
<div class="refsect1">
<a name="cogl-Clipping-(Deprecated).details"></a><h2>Details</h2>
<div class="refsect2">
<a name="cogl-clip-push"></a><h3>cogl_clip_push ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>                cogl_clip_push                      (<em class="parameter"><code><span class="type">float</span> x_offset</code></em>,
                                                         <em class="parameter"><code><span class="type">float</span> y_offset</code></em>,
                                                         <em class="parameter"><code><span class="type">float</span> width</code></em>,
                                                         <em class="parameter"><code><span class="type">float</span> height</code></em>);</pre>
<div class="warning" style="margin-left: 0.5in; margin-right: 0.5in;">
<h3 class="title">Warning</h3>
<p><code class="literal">cogl_clip_push</code> has been deprecated since version 1.16 and should not be used in newly-written code. The x, y, width, height arguments are inconsistent
  with other API that specify rectangles in model space, and when used
  with a coordinate space that puts the origin at the center and y+
  extending up, it's awkward to use. Please use
  <code class="function">cogl_framebuffer_push_rectangle_clip()</code></p>
</div>
<p>
Specifies a rectangular clipping area for all subsequent drawing
operations. Any drawing commands that extend outside the rectangle
will be clipped so that only the portion inside the rectangle will
be displayed. The rectangle dimensions are transformed by the
current model-view matrix.
</p>
<p>
The rectangle is intersected with the current clip region. To undo
the effect of this function, call <a class="link" href="cogl-Clipping.html#cogl-clip-pop" title="cogl_clip_pop ()"><code class="function">cogl_clip_pop()</code></a>.
</p>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term"><em class="parameter"><code>x_offset</code></em> :</span></p></td>
<td>left edge of the clip rectangle</td>
</tr>
<tr>
<td><p><span class="term"><em class="parameter"><code>y_offset</code></em> :</span></p></td>
<td>top edge of the clip rectangle</td>
</tr>
<tr>
<td><p><span class="term"><em class="parameter"><code>width</code></em> :</span></p></td>
<td>width of the clip rectangle</td>
</tr>
<tr>
<td><p><span class="term"><em class="parameter"><code>height</code></em> :</span></p></td>
<td>height of the clip rectangle</td>
</tr>
</tbody>
</table></div>
</div>
<hr>
<div class="refsect2">
<a name="cogl-clip-push-window-rect"></a><h3>cogl_clip_push_window_rect ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>                cogl_clip_push_window_rect          (<em class="parameter"><code><span class="type">float</span> x_offset</code></em>,
                                                         <em class="parameter"><code><span class="type">float</span> y_offset</code></em>,
                                                         <em class="parameter"><code><span class="type">float</span> width</code></em>,
                                                         <em class="parameter"><code><span class="type">float</span> height</code></em>);</pre>
<div class="warning" style="margin-left: 0.5in; margin-right: 0.5in;">
<h3 class="title">Warning</h3>
<p><code class="literal">cogl_clip_push_window_rect</code> has been deprecated since version 1.16 and should not be used in newly-written code. Use <code class="function">cogl_framebuffer_push_scissor_clip()</code> instead</p>
</div>
<p>
Specifies a rectangular clipping area for all subsequent drawing
operations. Any drawing commands that extend outside the rectangle
will be clipped so that only the portion inside the rectangle will
be displayed. The rectangle dimensions are not transformed by the
current model-view matrix.
</p>
<p>
The rectangle is intersected with the current clip region. To undo
the effect of this function, call <a class="link" href="cogl-Clipping.html#cogl-clip-pop" title="cogl_clip_pop ()"><code class="function">cogl_clip_pop()</code></a>.
</p>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term"><em class="parameter"><code>x_offset</code></em> :</span></p></td>
<td>left edge of the clip rectangle in window coordinates</td>
</tr>
<tr>
<td><p><span class="term"><em class="parameter"><code>y_offset</code></em> :</span></p></td>
<td>top edge of the clip rectangle in window coordinates</td>
</tr>
<tr>
<td><p><span class="term"><em class="parameter"><code>width</code></em> :</span></p></td>
<td>width of the clip rectangle</td>
</tr>
<tr>
<td><p><span class="term"><em class="parameter"><code>height</code></em> :</span></p></td>
<td>height of the clip rectangle</td>
</tr>
</tbody>
</table></div>
</div>
<hr>
<div class="refsect2">
<a name="cogl-clip-ensure"></a><h3>cogl_clip_ensure ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>                cogl_clip_ensure                    (<em class="parameter"><code><span class="type">void</span></code></em>);</pre>
<div class="warning" style="margin-left: 0.5in; margin-right: 0.5in;">
<h3 class="title">Warning</h3>
<p><code class="literal">cogl_clip_ensure</code> has been deprecated since version 1.2 and should not be used in newly-written code. Calling this function has no effect</p>
</div>
<p>
Ensures that the current clipping region has been set in GL. This
will automatically be called before any Cogl primitives but it
maybe be neccessary to call if you are using raw GL calls with
clipping.
</p>
<p class="since">Since 1.0</p>
</div>
<hr>
<div class="refsect2">
<a name="cogl-clip-stack-save"></a><h3>cogl_clip_stack_save ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>                cogl_clip_stack_save                (<em class="parameter"><code><span class="type">void</span></code></em>);</pre>
<div class="warning" style="margin-left: 0.5in; margin-right: 0.5in;">
<h3 class="title">Warning</h3>
<p><code class="literal">cogl_clip_stack_save</code> has been deprecated since version 1.2 and should not be used in newly-written code. This was originally added to allow us to save the
  clip stack when switching to an offscreen framebuffer, but it's
  not necessary anymore given that framebuffers now own separate
  clip stacks which will be automatically switched between when a
  new buffer is set. Calling this function has no effect</p>
</div>
<p>
Save the entire state of the clipping stack and then clear all
clipping. The previous state can be returned to with
<a class="link" href="cogl-Clipping-(Deprecated).html#cogl-clip-stack-restore" title="cogl_clip_stack_restore ()"><code class="function">cogl_clip_stack_restore()</code></a>. Each call to <a class="link" href="cogl-Clipping-(Deprecated).html#cogl-clip-push" title="cogl_clip_push ()"><code class="function">cogl_clip_push()</code></a> after this
must be matched by a call to <a class="link" href="cogl-Clipping.html#cogl-clip-pop" title="cogl_clip_pop ()"><code class="function">cogl_clip_pop()</code></a> before calling
<a class="link" href="cogl-Clipping-(Deprecated).html#cogl-clip-stack-restore" title="cogl_clip_stack_restore ()"><code class="function">cogl_clip_stack_restore()</code></a>.
</p>
<p class="since">Since 0.8.2</p>
</div>
<hr>
<div class="refsect2">
<a name="cogl-clip-stack-restore"></a><h3>cogl_clip_stack_restore ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>                cogl_clip_stack_restore             (<em class="parameter"><code><span class="type">void</span></code></em>);</pre>
<div class="warning" style="margin-left: 0.5in; margin-right: 0.5in;">
<h3 class="title">Warning</h3>
<p><code class="literal">cogl_clip_stack_restore</code> has been deprecated since version 1.2 and should not be used in newly-written code. This was originally added to allow us to restore
  the clip stack when switching back from an offscreen framebuffer,
  but it's not necessary anymore given that framebuffers now own
  separate clip stacks which will be automatically switched between
  when a new buffer is set. Calling this function has no effect</p>
</div>
<p>
Restore the state of the clipping stack that was previously saved
by <a class="link" href="cogl-Clipping-(Deprecated).html#cogl-clip-stack-save" title="cogl_clip_stack_save ()"><code class="function">cogl_clip_stack_save()</code></a>.
</p>
<p class="since">Since 0.8.2</p>
</div>
</div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.18.1</div>
</body>
</html>